%{?mingw_package_header}

%global pkgname libspatialite

Name:          mingw-%{pkgname}
Version:       4.3.0a
Summary:       MinGW Windows libspatialite library
Release:       3%{?dist}

BuildArch:     noarch
License:       MPLv1.1 or GPLv2+ or LGPLv2+
URL:           https://www.gaia-gis.it/fossil/libspatialite
Source0:       http://www.gaia-gis.it/gaia-sins/%{pkgname}-sources/%{pkgname}-%{version}.tar.gz
# Fix mingw detection in configure.ac
Patch0:        libspatialite_mingw.patch
# Fix obsolete macros
Patch1:        libspatialite_macros.patch

BuildRequires: autoconf automake libtool

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw32-freexl
BuildRequires: mingw32-geos
BuildRequires: mingw32-libcharset
BuildRequires: mingw32-libxml2
BuildRequires: mingw32-proj
BuildRequires: mingw32-sqlite
BuildRequires: mingw32-zlib

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc
BuildRequires: mingw64-freexl
BuildRequires: mingw64-geos
BuildRequires: mingw64-libcharset
BuildRequires: mingw64-libxml2
BuildRequires: mingw64-proj
BuildRequires: mingw64-sqlite
BuildRequires: mingw64-zlib


%description
MinGW Windows libspatialite library.


%package -n mingw32-%{pkgname}
Summary:       MinGW Windows libspatialite library

%description -n mingw32-%{pkgname}
MinGW Windows libspatialite library.


%package -n mingw64-%{pkgname}
Summary:       MinGW Windows libspatialite library

%description -n mingw64-%{pkgname}
MinGW Windows libspatialite library.


%{?mingw_debug_package}


%prep
%autosetup -p1 -n %{pkgname}-%{version}


%build
# Needed for Patch0
autoreconf -ifv

mkdir build_win32$MINGW_BUILDDIR_SUFFIX
(
cd build_win32$MINGW_BUILDDIR_SUFFIX
%mingw32_configure --enable-shared --disable-static \
    --with-geosconfig=%{mingw32_bindir}/%{mingw32_target}-geos-config
)
mkdir build_win64$MINGW_BUILDDIR_SUFFIX
(
cd build_win64$MINGW_BUILDDIR_SUFFIX
%mingw64_configure --enable-shared --disable-static \
    --with-geosconfig=%{mingw64_bindir}/%{mingw64_target}-geos-config
)

%mingw_make %{?_smp_mflags}


%install
%mingw_make install DESTDIR=%{buildroot}

# Delete undesired libtool archives
find %{buildroot} -type f -name "*.la" -delete

# Exclude debug files from the main files (note: the debug files are only created after %%install, so we can't search for them directly)
find %{buildroot}%{mingw32_prefix} | grep -E '.(exe|dll|pyd)$' | sed 's|^%{buildroot}\(.*\)$|%%exclude \1.debug|' > mingw32-%{pkgname}.debugfiles
find %{buildroot}%{mingw64_prefix} | grep -E '.(exe|dll|pyd)$' | sed 's|^%{buildroot}\(.*\)$|%%exclude \1.debug|' > mingw64-%{pkgname}.debugfiles


%files -n mingw32-%{pkgname} -f mingw32-%{pkgname}.debugfiles
%license COPYING
%{mingw32_bindir}/libspatialite-4.dll
%{mingw32_includedir}/spatialite.h
%{mingw32_includedir}/spatialite/
%{mingw32_libdir}/libspatialite.dll.a
%{mingw32_libdir}/mod_spatialite.dll*
%{mingw32_libdir}/pkgconfig/spatialite.pc

%files -n mingw64-%{pkgname} -f mingw64-%{pkgname}.debugfiles
%license COPYING
%{mingw64_bindir}/libspatialite-4.dll
%{mingw64_includedir}/spatialite.h
%{mingw64_includedir}/spatialite/
%{mingw64_libdir}/libspatialite.dll.a
%{mingw64_libdir}/mod_spatialite.dll*
%{mingw64_libdir}/pkgconfig/spatialite.pc


%changelog
* Sat Sep 09 2017 Sandro Mani <manisandro@gmail.com> - 4.3.0a-3
- Fix debug file in main package

* Wed Sep 06 2017 Sandro Mani <manisandro@gmail.com> - 4.3.0a-2
- Add libspatialite_macros.patch

* Fri Jan 22 2016 Sandro Mani <manisandro@gmail.com> - 4.3.0a-1
- Update to 4.3.0a

* Mon May 11 2015 Sandro Mani <manisandro@gmail.com> - 4.2.0-1
- Initial package
